Page MenuHomePhabricator

PHP7 compatibility warnings in mediawiki/core
Closed, ResolvedPublic

Description

I ran the linter from https://github.com/sstalle/php7cc on MW core and got a pile of warnings. We need to sort them and fix those that matter. The most popular problem appears to be the modification of results returned by func_get_args() and friends.

Latest update 15/06/2018 against 1.32.0-wmf.8 + extensions and vendor

File: /home/reedy/git/mediawiki/core/maintenance/generateSitemap.php
> Line 542: [Error] Unicode codepoint escaping "\u{28B81}" in a string
    '\\u{28B81}';
> Line 542: [Error] Unicode codepoint escaping "\u{5583}" in a string
    '\\u{5583}';


File: /home/reedy/git/mediawiki/core/languages/Language.php
> Line 157: [Error] Unicode codepoint escaping "\u{202A}" in a string
    '\\u{202A}';
> Line 158: [Error] Unicode codepoint escaping "\u{202B}" in a string
    '\\u{202B}';
> Line 159: [Error] Unicode codepoint escaping "\u{202C}" in a string
    '\\u{202C}';
> Line 2918: [Error] Unicode codepoint escaping "\u{3131}" in a string
    '\\u{3131}';
> Line 2920: [Error] Unicode codepoint escaping "\u{3134}" in a string
    '\\u{3134}';
> Line 2922: [Error] Unicode codepoint escaping "\u{3137}" in a string
    '\\u{3137}';
> Line 2924: [Error] Unicode codepoint escaping "\u{3139}" in a string
    '\\u{3139}';
> Line 2926: [Error] Unicode codepoint escaping "\u{3141}" in a string
    '\\u{3141}';
> Line 2928: [Error] Unicode codepoint escaping "\u{3142}" in a string
    '\\u{3142}';
> Line 2930: [Error] Unicode codepoint escaping "\u{3145}" in a string
    '\\u{3145}';
> Line 2932: [Error] Unicode codepoint escaping "\u{3147}" in a string
    '\\u{3147}';
> Line 2934: [Error] Unicode codepoint escaping "\u{3148}" in a string
    '\\u{3148}';
> Line 2936: [Error] Unicode codepoint escaping "\u{314A}" in a string
    '\\u{314A}';
> Line 2938: [Error] Unicode codepoint escaping "\u{314B}" in a string
    '\\u{314B}';
> Line 2940: [Error] Unicode codepoint escaping "\u{314C}" in a string
    '\\u{314C}';
> Line 2942: [Error] Unicode codepoint escaping "\u{314D}" in a string
    '\\u{314D}';
> Line 2944: [Error] Unicode codepoint escaping "\u{314E}" in a string
    '\\u{314E}';
> Line 3091: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '\\u{200E}';
> Line 3092: [Error] Unicode codepoint escaping "\u{200F}" in a string
    '\\u{200F}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesWa.php
> Line 82: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesFi.php
> Line 248: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesPt.php
> Line 113: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesNn.php
> Line 320: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesLbe.php
> Line 15: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesLv.php
> Line 66: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesUk.php
> Line 58: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesEs.php
> Line 305: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesRu.php
> Line 420: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesCs.php
> Line 386: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesLt.php
> Line 174: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesMr.php
> Line 326: [Error] Unicode codepoint escaping "\u{0900}-\u{0963}\u{0971}-\u{097F}\u{FEFF}\u{200D}" in a string
    '/^([\\u{0900}-\\u{0963}\\u{0971}-\\u{097F}\\u{FEFF}\\u{200D}]+)(.*)$/sDu';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesSe.php
> Line 137: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesTe.php
> Line 147: [Error] Unicode codepoint escaping "\u{0C01}-\u{0C6F}" in a string
    '/^([\\u{0C01}-\\u{0C6F}]+)(.*)$/sDu';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesPl.php
> Line 124: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesUz.php
> Line 124: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesFur.php
> Line 107: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesTa.php
> Line 83: [Error] Unicode codepoint escaping "\u{0B80}-\u{0BFF}" in a string
    '/^([\\u{0B80}-\\u{0BFF}]+)(.*)$/sDu';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesBe.php
> Line 68: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesAf.php
> Line 197: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesKk_cyrl.php
> Line 22: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesEt.php
> Line 261: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesUdm.php
> Line 47: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesIa.php
> Line 11: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesBe_tarask.php
> Line 236: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesKsh.php
> Line 97: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesHy.php
> Line 12: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesFr.php
> Line 319: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesLa.php
> Line 54: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesOc.php
> Line 289: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesFrp.php
> Line 304: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesEo.php
> Line 278: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesNb.php
> Line 85: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesLn.php
> Line 22: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesSk.php
> Line 288: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesKaa.php
> Line 14: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesIt.php
> Line 35: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesBg.php
> Line 220: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesSv.php
> Line 324: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesKk_latn.php
> Line 18: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesHu.php
> Line 43: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesBr.php
> Line 167: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/messages/MessagesPt_br.php
> Line 123: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/languages/data/Names.php
> Line 91: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'беларуская (тарашкевіца)\\u{200E}';
> Line 92: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'беларуская (тарашкевіца)\\u{200E}';
> Line 125: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'qırımtatarca (Latin)\\u{200E}';
> Line 126: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'къырымтатарджа (Кирилл)\\u{200E}';
> Line 136: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'Deutsch (Sie-Form)\\u{200E}';
> Line 153: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'español (formal)\\u{200E}';
> Line 173: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '赣语(简体)\\u{200E}';
> Line 174: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '贛語(繁體)\\u{200E}';
> Line 203: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'magyar (formal)\\u{200E}';
> Line 237: [Error] Unicode codepoint escaping "\u{200F}" in a string
    'قازاقشا (تٴوتە)\\u{200F}';
> Line 238: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'қазақша (кирил)\\u{200E}';
> Line 239: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'qazaqşa (latın)\\u{200E}';
> Line 240: [Error] Unicode codepoint escaping "\u{200F}" in a string
    'قازاقشا (جۇنگو)\\u{200F}';
> Line 241: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'қазақша (Қазақстан)\\u{200E}';
> Line 242: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'qazaqşa (Türkïya)\\u{200E}';
> Line 259: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'kurdî (latînî)\\u{200E}';
> Line 260: [Error] Unicode codepoint escaping "\u{200F}" in a string
    'كوردي (عەرەبی)\\u{200F}';
> Line 321: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'Nederlands (informeel)\\u{200E}';
> Line 404: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'српски (ћирилица)\\u{200E}';
> Line 405: [Error] Unicode codepoint escaping "\u{200E}" in a string
    'srpski (latinica)\\u{200E}';
> Line 475: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '中文(中国大陆)\\u{200E}';
> Line 476: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '中文(简体)\\u{200E}';
> Line 477: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '中文(繁體)\\u{200E}';
> Line 478: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '中文(香港)\\u{200E}';
> Line 480: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '中文(澳門)\\u{200E}';
> Line 481: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '中文(马来西亚)\\u{200E}';
> Line 482: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '中文(新加坡)\\u{200E}';
> Line 483: [Error] Unicode codepoint escaping "\u{200E}" in a string
    '中文(台灣)\\u{200E}';


File: /home/reedy/git/mediawiki/core/tests/phpunit/MediaWikiTestCase.php
> Line 1809: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();


File: /home/reedy/git/mediawiki/core/tests/phpunit/languages/LanguageTest.php
> Line 1596: [Error] Unicode codepoint escaping "\u{202A}" in a string
    '\\u{202A}';
> Line 1597: [Error] Unicode codepoint escaping "\u{202B}" in a string
    '\\u{202B}';
> Line 1598: [Error] Unicode codepoint escaping "\u{202C}" in a string
    '\\u{202C}';


File: /home/reedy/git/mediawiki/core/tests/phpunit/includes/collation/CustomUppercaseCollationTest.php
> Line 56: [Error] Unicode codepoint escaping "\u{F3000}" in a string
    '\\u{F3000}Foo';
> Line 57: [Error] Unicode codepoint escaping "\u{F3001}" in a string
    '\\u{F3001}Foo';
> Line 58: [Error] Unicode codepoint escaping "\u{F3002}" in a string
    '\\u{F3002}Foo';
> Line 59: [Error] Unicode codepoint escaping "\u{F3003}" in a string
    '\\u{F3003}Foo';
> Line 60: [Error] Unicode codepoint escaping "\u{F3004}" in a string
    '\\u{F3004}Foo';
> Line 60: [Error] Unicode codepoint escaping "\u{F3004}" in a string
    '\\u{F3004}';


File: /home/reedy/git/mediawiki/core/tests/phpunit/includes/auth/UserDataAuthenticationRequestTest.php
> Line 58: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();


File: /home/reedy/git/mediawiki/core/tests/phpunit/includes/libs/rdbms/database/DatabaseMysqlBaseTest.php
> Line 82: [Error] Unicode codepoint escaping "\u{0001}a\u{FFFF}" in a string
    '`\\u{0001}a\\u{FFFF}b`';
> Line 83: [Error] Unicode codepoint escaping "\u{0001}a\u{FFFF}" in a string
    '\\u{0001}a\\u{FFFF}b';
> Line 86: [Error] Unicode codepoint escaping "\u{0001}\u{FFFF}" in a string
    '`\\u{0001}\\u{FFFF}`';
> Line 87: [Error] Unicode codepoint escaping "\u{0001}\u{0000}\u{FFFF}\u{0000}" in a string
    '\\u{0001}\\u{0000}\\u{FFFF}\\u{0000}';


File: /home/reedy/git/mediawiki/core/tests/phpunit/includes/libs/CSSMinTest.php
> Line 38: [Error] Unicode codepoint escaping "\u{FFFD}" in a string
    '"Null\\u{FFFD}Null"';
> Line 46: [Error] Unicode codepoint escaping "\u{0085}" in a string
    'Next\\u{0085}line';
> Line 46: [Error] Unicode codepoint escaping "\u{0085}" in a string
    '"Next\\u{0085}line"';
> Line 48: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    'nb\\u{00A0}sp';
> Line 48: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '"nb\\u{00A0}sp"';


File: /home/reedy/git/mediawiki/core/vendor/zordius/lightncandy/tests/errorTest.php
> Line 91: [Error] Division by zero
    1 / 0;


File: /home/reedy/git/mediawiki/core/vendor/pear/mail_mime-decode/Mail/mimePart.php
> Line 127: [Error] PHP 4 constructors are now deprecated
    function Mail_mimePart($body, $params = array())
    {
    }


File: /home/reedy/git/mediawiki/core/vendor/pear/mail_mime-decode/Mail/mimeDecode.php
> Line 116: [Error] PHP 4 constructors are now deprecated
    function Mail_mimeDecode($input, $crlf = '
    ')
    {
    }


File: /home/reedy/git/mediawiki/core/vendor/pear/mail_mime-decode/Mail/mime.php
> Line 91: [Error] PHP 4 constructors are now deprecated
    function Mail_mime($crlf = '
    ')
    {
    }


File: /home/reedy/git/mediawiki/core/vendor/nikic/php-parser/test/PhpParser/ParserTest.php
> Line 138: [Warning] String containing number in hexadecimal notation
    '0xf';


File: /home/reedy/git/mediawiki/core/vendor/james-heinrich/getid3/getid3/extension.cache.mysql.php
> Line 91: [Error] Removed function "mysql_pconnect" called
    mysql_pconnect($host, $username, $password);
> Line 97: [Error] Removed function "mysql_select_db" called
    mysql_select_db($database, $this->connection);
> Line 110: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this->table);
> Line 111: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(\getID3::VERSION);
> Line 115: [Error] Removed function "mysql_query" called
    mysql_query($SQLquery, $this->connection);
> Line 116: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($this->cursor);
> Line 130: [Error] Removed function "mysql_query" called
    mysql_query('DELETE FROM `' . mysql_real_escape_string($this->table) . '`', $this->connection);
> Line 130: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this->table);
> Line 131: [Error] Removed function "mysql_query" called
    mysql_query('INSERT INTO `' . mysql_real_escape_string($this->table) . '` VALUES (\'' . \getID3::VERSION . '\', -1, -1, -1, \'' . \getID3::VERSION . '\')', $this->connection);
> Line 131: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this->table);
> Line 147: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this->table);
> Line 148: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($filename);
> Line 149: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($filesize);
> Line 150: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($filetime);
> Line 151: [Error] Removed function "mysql_query" called
    mysql_query($SQLquery, $this->connection);
> Line 152: [Error] Removed function "mysql_num_rows" called
    mysql_num_rows($this->cursor);
> Line 154: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($this->cursor);
> Line 164: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this->table);
> Line 165: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($filename);
> Line 166: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($filesize);
> Line 167: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($filetime);
> Line 168: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(time());
> Line 169: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(base64_encode(serialize($analysis)));
> Line 170: [Error] Removed function "mysql_query" called
    mysql_query($SQLquery, $this->connection);
> Line 180: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this->table);
> Line 187: [Error] Removed function "mysql_query" called
    mysql_query($SQLquery, $this->connection);
> Line 188: [Error] Removed function "mysql_error" called
    mysql_error($this->connection);


File: /home/reedy/git/mediawiki/core/vendor/james-heinrich/getid3/demos/demo.audioinfo.class.php
> Line 61: [Error] PHP 4 constructors are now deprecated
    function AudioInfo()
    {
    }


File: /home/reedy/git/mediawiki/core/vendor/james-heinrich/getid3/demos/demo.mysql.php
> Line 33: [Error] Removed function "mysql_connect" called
    mysql_connect(GETID3_DB_HOST, GETID3_DB_USER, GETID3_DB_PASS);
> Line 36: [Error] Removed function "mysql_error" called
    mysql_error();
> Line 38: [Error] Removed function "mysql_select_db" called
    mysql_select_db(GETID3_DB_DB);
> Line 41: [Error] Removed function "mysql_error" called
    mysql_error();
> Line 111: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 112: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($from);
> Line 161: [Error] Removed function "mysql_query" called
    mysql_query($SQLquery);
> Line 163: [Error] Removed function "mysql_error" called
    mysql_error();
> Line 164: [Error] Removed function "mysql_error" called
    mysql_error();
> Line 170: [Error] Removed function "mysql_query" called
    mysql_query('DESCRIBE ' . $tablename);
> Line 206: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 211: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 249: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 250: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 255: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 256: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 260: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 261: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 266: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 267: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 271: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 272: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 273: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 274: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 279: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 280: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 281: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 282: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 283: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 284: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 304: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 305: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($filename);
> Line 343: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 356: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 361: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 365: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 366: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['filename']);
> Line 381: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 387: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 389: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 390: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['filename']);
> Line 402: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 405: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 518: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 519: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['file_modified_time']) ? $ThisFileInfo['file_modified_time'] : '');
> Line 520: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['md5_file']) ? $ThisFileInfo['md5_file'] : '');
> Line 521: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['md5_data']) ? $ThisFileInfo['md5_data'] : '');
> Line 522: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['md5_data_source']) ? $ThisFileInfo['md5_data_source'] : '');
> Line 523: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['filesize']) ? $ThisFileInfo['filesize'] : 0);
> Line 524: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['fileformat']) ? $ThisFileInfo['fileformat'] : '');
> Line 525: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['audio']['dataformat']) ? $ThisFileInfo['audio']['dataformat'] : '');
> Line 526: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['video']['dataformat']) ? $ThisFileInfo['video']['dataformat'] : '');
> Line 527: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['mpeg']['audio']['VBR_method']) ? $ThisFileInfo['mpeg']['audio']['VBR_method'] : '');
> Line 528: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['audio']['bitrate']) ? floatval($ThisFileInfo['audio']['bitrate']) : 0);
> Line 529: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['video']['bitrate']) ? floatval($ThisFileInfo['video']['bitrate']) : 0);
> Line 530: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['playtime_seconds']) ? floatval($ThisFileInfo['playtime_seconds']) : 0);
> Line 531: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['replay_gain']['track']['volume']) ? floatval($ThisFileInfo['replay_gain']['track']['volume']) : 0);
> Line 532: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']) ? serialize($ThisFileInfo['comments']) : '');
> Line 533: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']['id3v2']) ? serialize($ThisFileInfo['tags']['id3v2']) : '');
> Line 534: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']['ape']) ? serialize($ThisFileInfo['tags']['ape']) : '');
> Line 535: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']['lyrics3']) ? serialize($ThisFileInfo['tags']['lyrics3']) : '');
> Line 536: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']['id3v1']) ? serialize($ThisFileInfo['tags']['id3v1']) : '');
> Line 537: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['warning']) ? implode('	', $ThisFileInfo['warning']) : '');
> Line 538: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['error']) ? implode('	', $ThisFileInfo['error']) : '');
> Line 539: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']['album']) ? implode('	', $ThisFileInfo['comments']['album']) : '');
> Line 540: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']['genre']) ? implode('	', $ThisFileInfo['comments']['genre']) : '');
> Line 541: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']['comment']) ? implode('	', $ThisFileInfo['comments']['comment']) : '');
> Line 542: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']['artist']) ? implode('	', $ThisFileInfo['comments']['artist']) : '');
> Line 543: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']) ? implode('	', array_keys($ThisFileInfo['tags'])) : '');
> Line 544: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(trim((!empty($ThisFileInfo['audio']['encoder']) ? $ThisFileInfo['audio']['encoder'] : '') . ' ' . (!empty($ThisFileInfo['audio']['encoder_options']) ? $ThisFileInfo['audio']['encoder_options'] : '')));
> Line 545: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this_track_title);
> Line 546: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this_track_remix);
> Line 547: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this_track_track);
> Line 548: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(isset($ThisFileInfo['filenamepath']) ? $ThisFileInfo['filenamepath'] : '');
> Line 553: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 554: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['filenamepath']) ? $ThisFileInfo['filenamepath'] : '');
> Line 555: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['file_modified_time']) ? $ThisFileInfo['file_modified_time'] : '');
> Line 556: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['md5_file']) ? $ThisFileInfo['md5_file'] : '');
> Line 557: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['md5_data']) ? $ThisFileInfo['md5_data'] : '');
> Line 558: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['md5_data_source']) ? $ThisFileInfo['md5_data_source'] : '');
> Line 559: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['filesize']) ? $ThisFileInfo['filesize'] : 0);
> Line 560: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['fileformat']) ? $ThisFileInfo['fileformat'] : '');
> Line 561: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['audio']['dataformat']) ? $ThisFileInfo['audio']['dataformat'] : '');
> Line 562: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['video']['dataformat']) ? $ThisFileInfo['video']['dataformat'] : '');
> Line 563: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['audio']['bitrate']) ? floatval($ThisFileInfo['audio']['bitrate']) : 0);
> Line 564: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['video']['bitrate']) ? floatval($ThisFileInfo['video']['bitrate']) : 0);
> Line 565: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['playtime_seconds']) ? floatval($ThisFileInfo['playtime_seconds']) : 0);
> Line 567: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']) ? implode('	', array_keys($ThisFileInfo['tags'])) : '');
> Line 568: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']['artist']) ? implode('	', $ThisFileInfo['comments']['artist']) : '');
> Line 569: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this_track_title);
> Line 570: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this_track_remix);
> Line 571: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']['album']) ? implode('	', $ThisFileInfo['comments']['album']) : '');
> Line 572: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']['genre']) ? implode('	', $ThisFileInfo['comments']['genre']) : '');
> Line 573: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']['comment']) ? implode('	', $ThisFileInfo['comments']['comment']) : '');
> Line 574: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($this_track_track);
> Line 575: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['comments']) ? serialize($ThisFileInfo['comments']) : '');
> Line 576: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']['id3v2']) ? serialize($ThisFileInfo['tags']['id3v2']) : '');
> Line 577: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']['ape']) ? serialize($ThisFileInfo['tags']['ape']) : '');
> Line 578: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']['lyrics3']) ? serialize($ThisFileInfo['tags']['lyrics3']) : '');
> Line 579: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['tags']['id3v1']) ? serialize($ThisFileInfo['tags']['id3v1']) : '');
> Line 580: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['warning']) ? implode('	', $ThisFileInfo['warning']) : '');
> Line 581: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['error']) ? implode('	', $ThisFileInfo['error']) : '');
> Line 582: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(trim((!empty($ThisFileInfo['audio']['encoder']) ? $ThisFileInfo['audio']['encoder'] : '') . ' ' . (!empty($ThisFileInfo['audio']['encoder_options']) ? $ThisFileInfo['audio']['encoder_options'] : '')));
> Line 583: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['mpeg']['audio']['LAME']) ? 'LAME' : (!empty($ThisFileInfo['mpeg']['audio']['VBR_method']) ? $ThisFileInfo['mpeg']['audio']['VBR_method'] : ''));
> Line 584: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(!empty($ThisFileInfo['replay_gain']['track']['volume']) ? floatval($ThisFileInfo['replay_gain']['track']['volume']) : 0);
> Line 593: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 604: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 608: [Error] Removed function "mysql_num_rows" called
    mysql_num_rows($result);
> Line 609: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 618: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 620: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['filename']);
> Line 627: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 628: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['filename']);
> Line 639: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 644: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 650: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 651: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['filename']);
> Line 660: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 666: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 687: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 688: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['filename']);
> Line 710: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 711: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($_REQUEST['encodedbydistribution']);
> Line 715: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 734: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 736: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 749: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 753: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 786: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 790: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 813: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 824: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 837: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 854: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 863: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 874: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 894: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 905: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 918: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 937: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 946: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 953: [Error] Removed function "mysql_num_rows" called
    mysql_num_rows($result);
> Line 957: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 972: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 982: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 989: [Error] Removed function "mysql_num_rows" called
    mysql_num_rows($result);
> Line 993: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1060: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1066: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1344: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1354: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1470: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1471: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($_REQUEST['showtagfiles']);
> Line 1480: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1490: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1502: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1510: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1524: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1532: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1543: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1544: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($_REQUEST['showtagfiles']);
> Line 1553: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1561: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1579: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1584: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1591: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1592: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['md5_data']);
> Line 1595: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result2);
> Line 1627: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1628: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($_REQUEST['m3uartist']);
> Line 1629: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($_REQUEST['m3utitle']);
> Line 1632: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1640: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1653: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1655: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1656: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['artist']);
> Line 1657: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['title']);
> Line 1659: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['remix']);
> Line 1663: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result2);
> Line 1676: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1687: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1688: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['artist']);
> Line 1689: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($row['title']);
> Line 1692: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result2);
> Line 1742: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1743: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($fileformat);
> Line 1744: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($audioformat);
> Line 1749: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1761: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1769: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1779: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1815: [Error] Removed function "mysql_num_rows" called
    mysql_num_rows($result);
> Line 1816: [Error] Removed function "mysql_num_rows" called
    mysql_num_rows($result);
> Line 1820: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1835: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1841: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1871: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1876: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1886: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1894: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1911: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1912: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($_REQUEST['genredistribution']);
> Line 1918: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1935: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1941: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1952: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1962: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1969: [Error] Removed function "mysql_num_rows" called
    mysql_num_rows($result);
> Line 1973: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 1989: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 1994: [Error] Removed function "mysql_num_rows" called
    mysql_num_rows($result);
> Line 1996: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 2015: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 2021: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 2036: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 2037: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string($_REQUEST['vbrmethod']);
> Line 2039: [Error] Removed function "mysql_num_rows" called
    mysql_num_rows($result);
> Line 2040: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 2052: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 2059: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);
> Line 2178: [Error] Removed function "mysql_real_escape_string" called
    mysql_real_escape_string(GETID3_DB_TABLE);
> Line 2180: [Error] Removed function "mysql_fetch_array" called
    mysql_fetch_array($result);


File: /home/reedy/git/mediawiki/core/vendor/symfony/debug/DebugClassLoader.php
> Line 339: [Warning] Possible array element creation during by-reference assignment
    self::$darwinCache[$dir] =& self::$darwinCache[$k];


File: /home/reedy/git/mediawiki/core/vendor/symfony/var-dumper/Caster/ResourceCaster.php
> Line 66: [Error] Removed function "mysql_get_host_info" called
    mysql_get_host_info($h);
> Line 67: [Error] Removed function "mysql_get_proto_info" called
    mysql_get_proto_info($h);
> Line 68: [Error] Removed function "mysql_get_server_info" called
    mysql_get_server_info($h);


File: /home/reedy/git/mediawiki/core/vendor/symfony/var-dumper/Resources/functions/dump.php
> Line 25: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();


File: /home/reedy/git/mediawiki/core/vendor/symfony/var-dumper/Cloner/VarCloner.php
> Line 103: [Warning] Possible array element creation during by-reference assignment
    $hardRefs[$h] =& $refs[$k];


File: /home/reedy/git/mediawiki/core/vendor/symfony/var-dumper/Tests/Fixtures/dumb-var.php
> Line 35: [Warning] Possible array element creation during by-reference assignment
    $var['snobj'] =& $var['nobj'][0];


File: /home/reedy/git/mediawiki/core/vendor/symfony/var-dumper/Tests/Cloner/DataTest.php
> Line 97: [Warning] Possible array element creation during by-reference assignment
    $values[1] =& $values[0];
> Line 98: [Warning] Possible array element creation during by-reference assignment
    $values[2][0] =& $values[2];


File: /home/reedy/git/mediawiki/core/vendor/symfony/var-dumper/Tests/Dumper/CliDumperTest.php
> Line 423: [Warning] Possible object property creation during by-reference assignment
    $var->bar =& $var->foo;


File: /home/reedy/git/mediawiki/core/vendor/ruflin/elastica/lib/Elastica/Transport/Null.php
> Line 15: [Error] Reserved name "null" used as a class, interface or trait name 
    class Null extends \Elastica\Transport\NullTransport
    {
    }


File: /home/reedy/git/mediawiki/core/vendor/ruflin/elastica/lib/Elastica/Query/Bool.php
> Line 16: [Error] Reserved name "bool" used as a class, interface or trait name 
    class Bool extends \Elastica\Query\BoolQuery
    {
    }


File: /home/reedy/git/mediawiki/core/vendor/wikimedia/remex-html/RemexHtml/TreeBuilder/TreeMutationTracer.php
> Line 106: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();
> Line 119: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();
> Line 127: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();
> Line 152: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();
> Line 165: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();
> Line 172: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();
> Line 181: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();


File: /home/reedy/git/mediawiki/core/vendor/wikimedia/purtle/src/JsonLdRdfWriter.php
> Line 466: [Warning] Possible object property creation during by-reference assignment
    $writer->context =& $this->context;
> Line 467: [Warning] Possible object property creation during by-reference assignment
    $writer->defaulted =& $this->defaulted;


File: /home/reedy/git/mediawiki/core/vendor/wikimedia/purtle/src/RdfWriterBase.php
> Line 206: [Warning] Possible object property creation during by-reference assignment
    $writer->prefixes =& $this->prefixes;


File: /home/reedy/git/mediawiki/core/vendor/wikimedia/avro/lib/avro/datum.php
> Line 307: [Error] Bitwise shift by 63 bits
    $n >> 63;


File: /home/reedy/git/mediawiki/core/vendor/wikimedia/avro/lib/avro/gmp.php
> Line 91: [Warning] String containing number in hexadecimal notation
    '0x7f';
> Line 106: [Warning] String containing number in hexadecimal notation
    '0xffffffffffffff80';
> Line 121: [Warning] String containing number in hexadecimal notation
    '0xffffffffffffffff';


File: /home/reedy/git/mediawiki/core/vendor/nmred/kafka-php/src/Kafka/Protocol/Protocol.php
> Line 167: [Error] Bitwise shift by 32 bits
    ($set[1] & 4294967295) << 32;
> Line 208: [Error] Bitwise shift by 32 bits
    ($data & $left) >> 32;


File: /home/reedy/git/mediawiki/core/vendor/data-values/common/tests/ValueParsers/FloatParserTest.php
> Line 80: [Warning] String containing number in hexadecimal notation
    '0x20';


File: /home/reedy/git/mediawiki/core/vendor/data-values/common/tests/ValueParsers/IntParserTest.php
> Line 69: [Warning] String containing number in hexadecimal notation
    '0x20';


File: /home/reedy/git/mediawiki/core/vendor/data-values/data-values/tests/phpunit/NumberValueTest.php
> Line 52: [Warning] String containing number in hexadecimal notation
    '0x20';


File: /home/reedy/git/mediawiki/core/extensions/EventLogging/includes/JsonSchema.php
> Line 63: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();


File: /home/reedy/git/mediawiki/core/extensions/EventLogging/includes/ApiJsonSchema.php
> Line 133: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($v as &$properties) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Flow/includes/Data/Storage/RevisionStorage.php
> Line 329: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($source as &$row) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Flow/includes/Repository/TreeRepository.php
> Line 371: [Warning] Possible array element creation during by-reference assignment
    $identityMap[$parent->getAlphadecimal()]['children'][$child] =& $identityMap[$child];


File: /home/reedy/git/mediawiki/core/extensions/Cognate/src/StringHasher.php
> Line 61: [Error] Bitwise shift by 32 bits
    hexdec($hexhi) << 32;



File: /home/reedy/git/mediawiki/core/extensions/DonationInterface/gateway_common/GatewayPage.php
> Line 585: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($fieldRules as &$rule) {
    }


File: /home/reedy/git/mediawiki/core/extensions/DonationInterface/gateway_common/gateway.adapter.php
> Line 3345: [Warning] Indirect variable, property or method access
    ${$var[$key]};
> Line 3349: [Warning] Indirect variable, property or method access
    ${$var[$subkey]};
> Line 3350: [Warning] Indirect variable, property or method access
    ${$var[$subkey][$subvalue]};


File: /home/reedy/git/mediawiki/core/extensions/UniversalLanguageSelector/data/LanguageNameIndexer.php
> Line 114: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($bucketTypes as $type => &$bucket) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Kartographer/includes/DataModuleLinks.php
> Line 51: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($service->links as &$link) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikibase/lib/includes/Store/GenericEntityInfoBuilder.php
> Line 158: [Warning] Possible array element creation during by-reference assignment
    $this->entityInfo[$idString] =& $this->entityInfo[$targetKey];


File: /home/reedy/git/mediawiki/core/extensions/Wikibase/lib/includes/Serialization/CallbackFactory.php
> Line 56: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($snakGroup as &$snak) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikibase/client/includes/Usage/UsageDeduplicator.php
> Line 65: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($usagesPerEntity as $aspect => &$usagesPerAspect) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikibase/repo/tests/phpunit/includes/Api/SetSiteLinkTest.php
> Line 401: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($site['badges'] as &$dummy) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikibase/repo/tests/phpunit/includes/Api/GetClaimsTest.php
> Line 167: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($claimsByProperty as &$claimArray) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikibase/repo/tests/phpunit/includes/Api/EntityTestHelper.php
> Line 428: [Warning] Possible adding to array on the last iteration of a by-reference foreach loop
    $data[$newKey] = $value;


File: /home/reedy/git/mediawiki/core/extensions/Wikibase/repo/tests/phpunit/includes/Api/SetReferenceTest.php
> Line 215: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($propertyGroup as &$snak) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikibase/repo/tests/phpunit/includes/Parsers/MediaWikiNumberUnlocalizerTest.php
> Line 158: [Warning] String containing number in hexadecimal notation
    '0x20';




File: /home/reedy/git/mediawiki/core/extensions/Scribunto/tests/phpunit/engines/LuaCommon/UstringLibraryTest.php
> Line 58: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($chars as &$c) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/vendor/wikibase/data-model-services/tests/unit/DataValue/ValuesFinderTest.php
> Line 146: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/vendor/wikimedia/purtle/src/RdfWriterBase.php
> Line 206: [Warning] Possible object property creation during by-reference assignment
    $writer->prefixes =& $this->prefixes;


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/vendor/data-values/common/tests/ValueParsers/FloatParserTest.php
> Line 80: [Warning] String containing number in hexadecimal notation
    '0x20';


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/vendor/data-values/common/tests/ValueParsers/IntParserTest.php
> Line 69: [Warning] String containing number in hexadecimal notation
    '0x20';


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/vendor/data-values/data-values/tests/phpunit/NumberValueTest.php
> Line 52: [Warning] String containing number in hexadecimal notation
    '0x20';


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/extensions/Wikibase/lib/includes/Store/GenericEntityInfoBuilder.php
> Line 158: [Warning] Possible array element creation during by-reference assignment
    $this->entityInfo[$idString] =& $this->entityInfo[$targetKey];


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/extensions/Wikibase/lib/includes/Serialization/CallbackFactory.php
> Line 55: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($snakGroup as &$snak) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/extensions/Wikibase/repo/tests/phpunit/includes/Api/SetSiteLinkTest.php
> Line 398: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($site['badges'] as &$dummy) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/extensions/Wikibase/repo/tests/phpunit/includes/Api/GetClaimsTest.php
> Line 170: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($claimsByProperty as &$claimArray) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/extensions/Wikibase/repo/tests/phpunit/includes/Api/EntityTestHelper.php
> Line 428: [Warning] Possible adding to array on the last iteration of a by-reference foreach loop
    $data[$newKey] = $value;


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/extensions/Wikibase/repo/tests/phpunit/includes/Api/SetReferenceTest.php
> Line 214: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($propertyGroup as &$snak) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Wikidata/extensions/Wikibase/repo/tests/phpunit/includes/Parsers/MediaWikiNumberUnlocalizerTest.php
> Line 158: [Warning] String containing number in hexadecimal notation
    '0x20';


File: /home/reedy/git/mediawiki/core/extensions/CirrusSearch/includes/SearchConfig.php
> Line 239: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();


File: /home/reedy/git/mediawiki/core/extensions/CentralNotice/tests/phpunit/CentralNoticeTestFixtures.php
> Line 109: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($campaign['banners'] as &$banner) {
    }
> Line 144: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($context_and_output['choices'] as &$choice) {
    }
> Line 193: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($campaign['banners'] as &$banner) {
    }


File: /home/reedy/git/mediawiki/core/extensions/CentralNotice/includes/AllocationCalculator.php
> Line 133: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($campaignsAtThisPriority as &$campaign) {
    }
> Line 166: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($campaignsAtThisPriority as $i => &$campaign) {
    }


File: /home/reedy/git/mediawiki/core/extensions/Echo/includes/controller/NotificationController.php
> [Error] Syntax error, unexpected '(' on line 337. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/logging/LogPage.php
> Line 258: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();


File: /home/reedy/git/mediawiki/core/includes/debug/logger/monolog/AvroFormatter.php
> Line 167: [Error] Bitwise shift by 32 bits
    ($id & 1.8446744069414584E+19) >> 32;


File: /home/reedy/git/mediawiki/core/includes/collation/IcuCollation.php
> Line 97: [Error] Unicode codepoint escaping "\u{0982}" in a string
    '\\u{0982}';
> Line 97: [Error] Unicode codepoint escaping "\u{0981}" in a string
    '\\u{0981}';
> Line 97: [Error] Unicode codepoint escaping "\u{0983}" in a string
    '\\u{0983}';
> Line 97: [Error] Unicode codepoint escaping "\u{09CE}" in a string
    '\\u{09CE}';
> Line 147: [Error] Unicode codepoint escaping "\u{0A82}" in a string
    '\\u{0A82}';
> Line 147: [Error] Unicode codepoint escaping "\u{0A83}" in a string
    '\\u{0A83}';
> Line 147: [Error] Unicode codepoint escaping "\u{0A81}" in a string
    '\\u{0A81}';
> Line 147: [Error] Unicode codepoint escaping "\u{0AB3}" in a string
    '\\u{0AB3}';
> Line 151: [Error] Unicode codepoint escaping "\u{0902}" in a string
    '\\u{0902}';
> Line 151: [Error] Unicode codepoint escaping "\u{0903}" in a string
    '\\u{0903}';
> Line 164: [Error] Unicode codepoint escaping "\u{17BB}\u{17C6}" in a string
    '\\u{17BB}\\u{17C6}';
> Line 165: [Error] Unicode codepoint escaping "\u{17C6}" in a string
    '\\u{17C6}';
> Line 165: [Error] Unicode codepoint escaping "\u{17B6}\u{17C6}" in a string
    '\\u{17B6}\\u{17C6}';
> Line 165: [Error] Unicode codepoint escaping "\u{17C7}" in a string
    '\\u{17C7}';
> Line 166: [Error] Unicode codepoint escaping "\u{17B7}\u{17C7}" in a string
    '\\u{17B7}\\u{17C7}';
> Line 166: [Error] Unicode codepoint escaping "\u{17BB}\u{17C7}" in a string
    '\\u{17BB}\\u{17C7}';
> Line 167: [Error] Unicode codepoint escaping "\u{17C1}\u{17C7}" in a string
    '\\u{17C1}\\u{17C7}';
> Line 167: [Error] Unicode codepoint escaping "\u{17C4}\u{17C7}" in a string
    '\\u{17C4}\\u{17C7}';
> Line 169: [Error] Unicode codepoint escaping "\u{0C81}" in a string
    '\\u{0C81}';
> Line 169: [Error] Unicode codepoint escaping "\u{0C83}" in a string
    '\\u{0C83}';
> Line 169: [Error] Unicode codepoint escaping "\u{0CF1}" in a string
    '\\u{0CF1}';
> Line 169: [Error] Unicode codepoint escaping "\u{0CF2}" in a string
    '\\u{0CF2}';
> Line 170: [Error] Unicode codepoint escaping "\u{0902}" in a string
    '\\u{0902}';
> Line 170: [Error] Unicode codepoint escaping "\u{0903}" in a string
    '\\u{0903}';
> Line 184: [Error] Unicode codepoint escaping "\u{0902}" in a string
    '\\u{0902}';
> Line 184: [Error] Unicode codepoint escaping "\u{0903}" in a string
    '\\u{0903}';
> Line 194: [Error] Unicode codepoint escaping "\u{0B01}" in a string
    '\\u{0B01}';
> Line 194: [Error] Unicode codepoint escaping "\u{0B02}" in a string
    '\\u{0B02}';
> Line 194: [Error] Unicode codepoint escaping "\u{0B03}" in a string
    '\\u{0B03}';
> Line 195: [Error] Unicode codepoint escaping "\u{0A4D}" in a string
    '\\u{0A4D}';
> Line 207: [Error] Unicode codepoint escaping "\u{0D82}" in a string
    '\\u{0D82}';
> Line 207: [Error] Unicode codepoint escaping "\u{0D83}" in a string
    '\\u{0D83}';
> Line 207: [Error] Unicode codepoint escaping "\u{0DA4}" in a string
    '\\u{0DA4}';
> Line 218: [Error] Unicode codepoint escaping "\u{0B82}" in a string
    '\\u{0B82}';
> Line 222: [Error] Unicode codepoint escaping "\u{0C01}" in a string
    '\\u{0C01}';
> Line 222: [Error] Unicode codepoint escaping "\u{0C02}" in a string
    '\\u{0C02}';
> Line 222: [Error] Unicode codepoint escaping "\u{0C03}" in a string
    '\\u{0C03}';
> Line 223: [Error] Unicode codepoint escaping "\u{0E46}" in a string
    '\\u{0E46}';
> Line 223: [Error] Unicode codepoint escaping "\u{0E4D}" in a string
    '\\u{0E4D}';
> Line 223: [Error] Unicode codepoint escaping "\u{0E3A}" in a string
    '\\u{0E3A}';
> Line 234: [Error] Unicode codepoint escaping "\u{05D1}\u{05BF}" in a string
    '\\u{05D1}\\u{05BF}';
> Line 234: [Error] Unicode codepoint escaping "\u{05DB}\u{05BC}" in a string
    '\\u{05DB}\\u{05BC}';
> Line 234: [Error] Unicode codepoint escaping "\u{05E4}\u{05BC}" in a string
    '\\u{05E4}\\u{05BC}';
> Line 235: [Error] Unicode codepoint escaping "\u{05E9}\u{05C2}" in a string
    '\\u{05E9}\\u{05C2}';
> Line 235: [Error] Unicode codepoint escaping "\u{05EA}\u{05BC}" in a string
    '\\u{05EA}\\u{05BC}';


File: /home/reedy/git/mediawiki/core/includes/objectcache/SqlBagOStuff.php
> Line 533: [Error] Bitwise shift by 62 bits
    1 << 62;


File: /home/reedy/git/mediawiki/core/includes/Status.php
> Line 61: [Warning] Possible object property creation during by-reference assignment
    $result->ok =& $sv->ok;
> Line 62: [Warning] Possible object property creation during by-reference assignment
    $result->errors =& $sv->errors;
> Line 63: [Warning] Possible object property creation during by-reference assignment
    $result->value =& $sv->value;
> Line 64: [Warning] Possible object property creation during by-reference assignment
    $result->successCount =& $sv->successCount;
> Line 65: [Warning] Possible object property creation during by-reference assignment
    $result->failCount =& $sv->failCount;
> Line 66: [Warning] Possible object property creation during by-reference assignment
    $result->success =& $sv->success;


File: /home/reedy/git/mediawiki/core/includes/htmlform/HTMLFormField.php
> [Error] Syntax error, unexpected '(' on line 315. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/api/ApiQueryUserContribs.php
> Line 83: [Warning] "yield" usage in expression context
    call_user_func(function () use($dbSecondary, $sort, $op, $fname) {
        global $wgActorTableSchemaMigrationStage;
        $fromName = false;
        if (!is_null($this->params['continue'])) {
            $continue = explode('|', $this->params['continue']);
            $this->dieContinueUsageIf(count($continue) != 4);
            $this->dieContinueUsageIf($continue[0] !== 'name');
            $fromName = $continue[1];
        }
        $like = $dbSecondary->buildLike($this->params['userprefix'], $dbSecondary->anyString());
        $limit = 501;
        do {
            $from = $fromName ? "{$op}= " . $dbSecondary->addQuotes($fromName) : false;
            if ($wgActorTableSchemaMigrationStage === MIGRATION_NEW) {
                $res = $dbSecondary->select('actor', array('actor_id', 'user_id' => 'COALESCE(actor_user,0)', 'user_name' => 'actor_name'), array_merge(array("actor_name{$like}"), $from ? array("actor_name {$from}") : array()), $fname, array('ORDER BY' => array("user_name {$sort}"), 'LIMIT' => $limit));
            } elseif ($wgActorTableSchemaMigrationStage === MIGRATION_OLD) {
                $res = $dbSecondary->select('revision', array('actor_id' => 'NULL', 'user_id' => 'rev_user', 'user_name' => 'rev_user_text'), array_merge(array("rev_user_text{$like}"), $from ? array("rev_user_text {$from}") : array()), $fname, array('DISTINCT', 'ORDER BY' => array("rev_user_text {$sort}"), 'LIMIT' => $limit));
            } else {
                $options = $dbSecondary->unionSupportsOrderAndLimit() ? array('ORDER BY' => array("user_name {$sort}"), 'LIMIT' => $limit) : array();
                $subsql = array();
                $subsql[] = $dbSecondary->selectSQLText('actor', array('actor_id', 'user_id' => 'COALESCE(actor_user,0)', 'user_name' => 'actor_name'), array_merge(array("actor_name{$like}"), $from ? array("actor_name {$from}") : array()), $fname, $options);
                $subsql[] = $dbSecondary->selectSQLText(array('revision', 'actor'), array('actor_id', 'user_id' => 'rev_user', 'user_name' => 'rev_user_text'), array_merge(array("rev_user_text{$like}", 'rev_user != 0'), $from ? array("rev_user_text {$from}") : array()), $fname, array_merge(array('DISTINCT'), $options), array('actor' => array('LEFT JOIN', 'rev_user = actor_user')));
                $subsql[] = $dbSecondary->selectSQLText(array('revision', 'actor'), array('actor_id', 'user_id' => 'rev_user', 'user_name' => 'rev_user_text'), array_merge(array("rev_user_text{$like}", 'rev_user = 0'), $from ? array("rev_user_text {$from}") : array()), $fname, array_merge(array('DISTINCT'), $options), array('actor' => array('LEFT JOIN', 'rev_user_text = actor_name')));
                $sql = $dbSecondary->unionQueries($subsql, false) . " ORDER BY user_name {$sort}";
                $sql = $dbSecondary->limitResult($sql, $limit);
                $res = $dbSecondary->query($sql, $fname);
            }
            $count = 0;
            $fromName = false;
            foreach ($res as $row) {
                if (++$count >= $limit) {
                    $fromName = $row->user_name;
                    break;
                }
                (yield \User::newFromRow($row));
            }
        } while ($fromName !== false);
    });
> Line 315: [Warning] "yield" usage in expression context
    call_user_func(function () use($names, $fromName, $neg) {
        foreach ($names as $name => $row) {
            if ($fromName === false || $neg * strcmp($name, $fromName) <= 0) {
                $user = $row ? \User::newFromRow($row) : \User::newFromName($name, false);
                (yield $user);
            }
        }
    });


File: /home/reedy/git/mediawiki/core/includes/parser/LinkHolderArray.php
> Line 64: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($nsLinks as &$entry) {
    }
> Line 84: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($nsLinks as &$entry) {
    }


File: /home/reedy/git/mediawiki/core/includes/parser/Preprocessor_DOM.php
> Line 847: [Warning] Possible object property creation during by-reference assignment
    $this->accum =& $this->rootAccum;
> Line 891: [Warning] Possible object property creation during by-reference assignment
    $this->accum =& $this->rootAccum;


File: /home/reedy/git/mediawiki/core/includes/session/PHPSessionHandler.php
> Line 140: [Warning] Check that callbacks that are passed to "session_set_save_handler" and return false or -1 (if any) operate correctly
    session_set_save_handler(self::$instance, true);


File: /home/reedy/git/mediawiki/core/includes/poolcounter/PoolCounterWorkViaCallback.php
> [Error] Syntax error, unexpected '(' on line 69. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/services/ServiceContainer.php
> [Error] Syntax error, unexpected '(' on line 358. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/tidy/RemexCompatFormatter.php
> Line 21: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';
> Line 23: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';


File: /home/reedy/git/mediawiki/core/includes/libs/rdbms/loadbalancer/LoadBalancer.php
> [Error] Syntax error, unexpected '(' on line 867. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/libs/rdbms/database/Database.php
> [Error] Syntax error, unexpected '(' on line 3525. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/libs/MemoizedCallable.php
> [Error] Syntax error, unexpected '(' on line 126. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/libs/objectcache/MultiWriteBagOStuff.php
> [Error] Syntax error, unexpected '(' on line 204. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/libs/MWMessagePack.php
> Line 100: [Error] Bitwise shift by 32 bits
    ($value & 1.8446744069414584E+19) >> 32;
> Line 133: [Error] Bitwise shift by 32 bits
    $value >> 32;


File: /home/reedy/git/mediawiki/core/includes/libs/filebackend/SwiftFileBackend.php
> [Error] Syntax error, unexpected '(' on line 1106. Processing aborted.






File: /home/reedy/git/mediawiki/core/includes/libs/CSSMin.php
> Line 182: [Error] Unicode codepoint escaping "\u{FFFD}" in a string
    '\\u{FFFD}';


File: /home/reedy/git/mediawiki/core/includes/libs/redis/RedisConnectionPool.php
> Line 312: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($serverConnections as $key => &$connection) {
    }
> Line 396: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($serverConnections as $key => &$connection) {
    }


File: /home/reedy/git/mediawiki/core/includes/media/FormatMetadata.php
> Line 142: [Warning] Possible adding to array on the last iteration of a by-reference foreach loop
    $tags[$tag] = str_pad(intval($h[0] / $h[1]), 2, '0', STR_PAD_LEFT) . ':' . str_pad(intval($m[0] / $m[1]), 2, '0', STR_PAD_LEFT) . ':' . str_pad(intval($s[0] / $s[1]), 2, '0', STR_PAD_LEFT);
> Line 150: [Warning] Possible adding to array on the last iteration of a by-reference foreach loop
    $tags[$tag] = $this->getLanguage()->time($time);
> Line 168: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($vals as &$val) {
    }
> Line 1837: [Warning] Possible adding to array on the last iteration of a by-reference foreach loop
    $arr[$sanitizedKey] = $arr[$key];


File: /home/reedy/git/mediawiki/core/includes/installer/Installer.php
> Line 822: [Error] Unicode codepoint escaping "\u{3000}" in a string
    '-\\u{3000}-';
> Line 1129: [Error] Unicode codepoint escaping "\u{FA6C}" in a string
    '\\u{FA6C}';
> Line 1130: [Error] Unicode codepoint escaping "\u{242EE}" in a string
    '\\u{242EE}';


File: /home/reedy/git/mediawiki/core/includes/resourceloader/ResourceLoader.php
> Line 1432: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($module[2] as &$dependency) {
    }


File: /home/reedy/git/mediawiki/core/includes/json/FormatJson.php
> Line 86: [Error] Unicode codepoint escaping "\u{2028}" in a string
    '\\u{2028}';
> Line 87: [Error] Unicode codepoint escaping "\u{2029}" in a string
    '\\u{2029}';


File: /home/reedy/git/mediawiki/core/includes/cache/MessageCache.php
> Line 839: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';
> Line 840: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';
> Line 841: [Error] Unicode codepoint escaping "\u{00AD}" in a string
    '\\u{00AD}';


File: /home/reedy/git/mediawiki/core/includes/cache/localisation/LocalisationCache.php
> Line 505: [Warning] Possible array element creation during by-reference assignment
    $this->data[$primaryCode] =& $this->data[$fallbackCode];
> Line 506: [Warning] Possible array element creation during by-reference assignment
    $this->loadedItems[$primaryCode] =& $this->loadedItems[$fallbackCode];
> Line 507: [Warning] Possible array element creation during by-reference assignment
    $this->loadedSubitems[$primaryCode] =& $this->loadedSubitems[$fallbackCode];


File: /home/reedy/git/mediawiki/core/includes/changes/ChangesListStringOptionsFilterGroup.php
> [Error] Syntax error, unexpected '(' on line 203. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/changes/CategoryMembershipChange.php
> [Error] Syntax error, unexpected '(' on line 190. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/changes/ChangesListBooleanFilter.php
> [Error] Syntax error, unexpected '(' on line 209. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/search/SearchMssql.php
> Line 180: [Warning] String containing number in hexadecimal notation
    '0xEFBBBF';
> Line 200: [Warning] String containing number in hexadecimal notation
    '0xEFBBBF';


File: /home/reedy/git/mediawiki/core/includes/deferred/AutoCommitUpdate.php
> [Error] Syntax error, unexpected '(' on line 42. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/CommentStore.php
> Line 693: [Error] Bitwise shift by 32 bits
    -1 << 32;


File: /home/reedy/git/mediawiki/core/includes/skins/SkinTemplate.php
> Line 420: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($footerIconsBlock as &$footerIcon) {
    }
> Line 1171: [Warning] Nested by-reference foreach loop, make sure that array modifications (if any) do what you expect
    foreach ($links as $key => &$link) {
    }


File: /home/reedy/git/mediawiki/core/includes/import/WikiImporter.php
> Line 434: [Warning] Function argument(s) returned by "func_get_args" might have been modified
    func_get_args();


File: /home/reedy/git/mediawiki/core/includes/SiteConfiguration.php
> [Error] Syntax error, unexpected '(' on line 435. Processing aborted.


File: /home/reedy/git/mediawiki/core/includes/specials/formfields/Licenses.php
> Line 189: [Error] Unicode codepoint escaping "\u{00A0}" in a string
    '\\u{00A0}';

Checked 13438 files in 2988.048 seconds

Event Timeline

MaxSem created this task.Dec 4 2015, 2:37 AM
MaxSem updated the task description. (Show Details)
MaxSem raised the priority of this task from to Needs Triage.
MaxSem added a subscriber: MaxSem.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 4 2015, 2:37 AM
Krenair added a subscriber: Krenair.Dec 4 2015, 2:42 AM

Did T47288 address those mysql_ ones?

Reedy added a subscriber: Reedy.Apr 22 2016, 8:37 PM

I don't think a lot of these are actual problems....

But a load of them are just back compat hacks for functions that had a load of calling parameters...

Did T47288 address those mysql_ ones?

DatabaseMysql still exists. Did you mean T120333 instead?

Danny_B moved this task from Unsorted to PHP 7 on the [DO NOT USE] NewPHP board.May 9 2016, 12:14 AM
Seb35 triaged this task as Lowest priority.Aug 9 2016, 8:59 AM
Seb35 added a subscriber: Seb35.Aug 9 2016, 9:02 AM

I began to sort out the warnings on P3672. After check, I move the item from "Backlog" to "Checked", sorted by category, where the higher the category is the more "dangerous" it is (relatively).

Seb35 added a comment.Aug 9 2016, 6:36 PM

I finished to check the warnings func_get_args? - nothing specific, documentation could sometimes be improved but code is not affected by this change (or not in a buggy manner).

It remains other warnings, I sorted them by category:

  • (3) Bitwise shift by 32 bits/62 bits
  • (6) Possible object property creation during by-reference assignment
  • (3) Possible array element creation during by-reference assignment
  • (7) Nested by-reference foreach loop, make sure there is no iteration over the same array
  • (3) Possible adding to array on the last iteration of a by-reference foreach loop
  • (1) Nested by-reference foreach loop, make sure there is no iteration over the same array
  • (1) Check that callbacks that are passed to "session_set_save_handler" and return false or -1 (if any) operate correctly
  • (2) String containing number in hexadecimal notation
  • (24) Removed function "mysql_*" called

PHP 7 has upgrading note on https://github.com/php/php-src/blob/PHP-7.0/UPGRADING where there are some interesting notes.

Reedy added a comment.Aug 22 2017, 8:51 PM

I filed an upstream task about some of the func_get_args false positives https://github.com/sstalle/php7cc/issues/127

@Reedy hi, I am wondering could you re run the linter please and update the description.

It so we can see what else needs doing to fix php7 support for T176370

Krinkle removed a subscriber: Krinkle.Sep 21 2017, 8:30 PM
Krinkle renamed this task from PHP7 compatibility warnings to PHP7 compatibility warnings in mediawiki/core.Feb 9 2018, 12:10 AM
Reedy updated the task description. (Show Details)Jun 15 2018, 1:33 PM
Reedy updated the task description. (Show Details)Jun 15 2018, 7:11 PM
Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJun 15 2018, 7:11 PM
Reedy updated the task description. (Show Details)Jun 15 2018, 7:12 PM
BPirkle claimed this task.Sep 27 2018, 3:53 PM

A few notes:

  • https://github.com/sstalle/php7cc now says "The project is no longer supported. Please consider using one of the following alternatives: phan, phpstan". I will continue using the php7cc results for now, but will also consider the other tools. I notice that phan was mentioned in T120694.
  • In the issue filed by @Reedy on GitHub, the php7cc developer confirms false positives. I'll take that into consideration
  • I'm working from a fresh run of php7cc to catch any changes since the last run posted. For now, I'm just working on core.

Update: I've been through the php7cc list for the latest core code and exhaustively looked at each individual item that it found. There was nothing that needed to be changed.

Marking this issue as resolved.

I need to set up phan for T120694 anyway, so I'll run it against the core codebase under that task. If a separate task for phan issues is justified, I'll create it at that time.

BPirkle closed this task as Resolved.Oct 5 2018, 3:03 PM